ultimix

- Main Page
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
sape_1_0_0 Class Reference

## Public Member Functions
| __construct ()
| pre_generation ($Options)
| compile_sape_common_links (&$Settings)

## Data Fields
| $CachedMultyFS = false
| $Settings = false
| $String = false
| $SapeUser = false
| $SapeClient = false
| $SapeContext = false

## Detailed Description

Class provides integration with the Sape system.

Author
  Dodonov A.A.

Definition at line 26 of file sape.php.

## Constructor & Destructor Documentation

__construct | ( |  | ) |

Constructor.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 92 of file sape.php.

{
try
{
$this->CachedMultyFS = get_package( 'cached_multy_fs' , 'last' , __FILE__ );
$this->Settings = get_package_object( 'settings::package_settings' , 'last' , __FILE__ );
$this->String = get_package( 'string' , 'last' , __FILE__ );
$this->SapeUser = $this->Settings->get_package_setting(
'sape' , 'last' , 'cf_sape' , 'sape_user' , false
);
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Member Function Documentation

compile_sape_common_links | ( | & | $Settings | ) |

Function processes string.

Parameters

  $Settings | - Processing string.

Returns
  HTML code.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 166 of file sape.php.

{
try
{
$Count = $Settings->get_setting( 'count' , null );
$Links = $this->SapeClient->return_links( $Count );
return( $Links );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

pre_generation | ( |  | $Options | ) |

Function executes before any page generating actions took place.

Parameters

  $Options | - Settings.

Exceptions

  Exception | An exception of this type is thrown.

Author
  Dodonov A.A.

Definition at line 128 of file sape.php.

{
try
{
require_once( "./$this->SapeUser/sape.php" );
$Options['multi_site'] = true;
$this->SapeClient = new SAPE_client( $Options );
$this->SapeContext = new SAPE_context( $Options );
}
catch( Exception $e )
{
$a = func_get_args();_throw_exception_object( __METHOD__ , $a , $e );
}
}

## Field Documentation

$CachedMultyFS = false

Cached packages.

Author
  Dodonov A.A.

Definition at line 38 of file sape.php.

$SapeClient = false

Sape object for common links.

Author
  Dodonov A.A.

Definition at line 64 of file sape.php.

$SapeContext = false

Sape object for context links.

Author
  Dodonov A.A.

Definition at line 76 of file sape.php.

$SapeUser = false

Sape user.

Author
  Dodonov A.A.

Definition at line 52 of file sape.php.

$Settings = false

Definition at line 39 of file sape.php.

$String = false

Definition at line 40 of file sape.php.

The documentation for this class was generated from the following file:

- packages/sape/sape.php